<?xml version="1.0" encoding="UTF-8"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->

<screens xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns="http://ofbiz.apache.org/Widget-Screen" xsi:schemaLocation="http://ofbiz.apache.org/Widget-Screen http://ofbiz.apache.org/dtds/widget-screen.xsd">


<screen name="GlobalDecorator">
        <section>
            <widgets>
                <section>
                    <actions>
                        <set field="layoutSettings.commonHeaderImageLinkUrl" from-field="layoutSettings.commonHeaderImageLinkUrl" default-value="main" global="true" />
                        <set field="iconsLocation" from-field="layoutSettings.VT_ICONS_LOC" default-value="/images/icons/famfamfam" global="true" />
                        <set field="headerTemplateLocation" from-field="layoutSettings.VT_HDR_TMPLT_LOC" />
                        <set field="SidebarTemplateLocation" form-field="layoutSettings.VT_SIDEBAR_TMPLT_LOC"/>
                        <set field="footerTemplateLocation" from-field="layoutSettings.VT_FTR_TMPLT_LOC" />
                        <set field="appbarTemplateLocation" from-field="layoutSettings.VT_NAV_TMPLT_LOC" />
                        <set field="appbarOpenTemplateLocation" from-field="layoutSettings.VT_NAV_OPEN_TMPLT" />
                        <set field="appbarCloseTemplateLocation" from-field="layoutSettings.VT_NAV_CLOSE_TMPLT" />
                        <set field="messagesTemplateLocation" from-field="layoutSettings.VT_MSG_TMPLT_LOC" />
                        <set field="layoutSettings.suppressTab" value="ofbizsetup"/>
                        <set field="layoutSettings.styleSheets[+0]" value="/common/css/impersonate.css" global="true" />
                    </actions>
                    <widgets />
                </section>
                <section>
                    <condition>
                        <if-empty field="parameters.ajaxUpdateEvent" />
                    </condition>
                    <widgets>
                        
                        <platform-specific>
                            <html>
                                <html-template location="${headerTemplateLocation}" />
                            </html>
                        </platform-specific>
                        
                        <section name="Render-Main-Nav">
                            <condition>
                                <not>
                                    <if-empty field="appbarOpenTemplateLocation" />
                                </not>
                            </condition>
                            <widgets>
                                <platform-specific>
                                    <html>
                                        <html-template location="${appbarOpenTemplateLocation}" />
                                    </html>
                                </platform-specific>
                            </widgets>
                            <fail-widgets>
                                <platform-specific>
                                    <html>
                                        <html-template location="${appbarTemplateLocation}" />
                                    </html>
                                </platform-specific>
                            </fail-widgets>
                        </section>
                    </widgets>
                </section>
                <section>
                    <condition>
                        <if-empty field="parameters.ajaxUpdateEvent" />
                    </condition>
                    <widgets>
                        
                        <section name="Render-App-Nav">
                            <condition>
                                <not>
                                    <if-empty field="userLogin" />
                                </not>
                            </condition>
                            <widgets>
                                <section>
                                    <condition>
                                        <not>
                                            <if-empty field="appheaderTemplate" />
                                        </not>
                                    </condition>
                                    <widgets>
                                        <platform-specific>
                                            <html>
                                                <html-template location="${appheaderTemplate}" />
                                            </html>
                                        </platform-specific>
                                    </widgets>
                                    <fail-widgets>
                                        <section>
                                            <condition>
                                                <not>
                                                    <if-empty field="parameters.applicationTitle" />
                                                </not>
                                            </condition>
                                            <widgets>
                                                <label style="apptitle">${parameters.applicationTitle}</label>
                                            </widgets>
                                        </section>
                                        <section>
                                            <condition>
                                                <not>
                                                    <if-empty field="applicationMenuLocation" />
                                                </not>
                                            </condition>
                                            <widgets>
                                                <include-menu name="${applicationMenuName}" location="${applicationMenuLocation}" />
                                            </widgets>
                                        </section>
                                    </fail-widgets>
                                </section>
                            </widgets>
                            <fail-widgets>
                                
                            </fail-widgets>
                        </section>
                    </widgets>
                </section>
                
                <section>
                    <condition>
                        <and>
                            <if-empty field="parameters.ajaxUpdateEvent" />
                            <not>
                                <if-empty field="appbarCloseTemplateLocation" />
                            </not>
                        </and>
                    </condition>
                    <widgets>
                        <platform-specific>
                            <html>
                                <html-template location="${appbarCloseTemplateLocation}" />
                            </html>
                        </platform-specific>
                    </widgets>
                </section>
                
                 
                <section>
                    <condition>
                        
                            <not>
                                <if-empty field="SidebarTemplateLocation" />
                            </not>
                        
                    </condition>
                    <widgets>
                        <platform-specific>
                            <html>
                                <html-template location="${SidebarTemplateLocation}" />
                            </html>
                        </platform-specific>
                    </widgets>
                </section>
                


                
                
                <platform-specific>
                    <html>
                        <html-template location="${messagesTemplateLocation}" />
                    </html>
                </platform-specific>
                
                <container style="contentarea">
                    <decorator-section-include name="pre-body" />
                    <container id="column-container">
                        <section>
                            <condition>
                                <if-empty-section section-name="left-column" />
                            </condition>
                            <widgets>
                                <container id="content-main-section">
                                    <decorator-section-include name="body" />
                                </container>
                            </widgets>
                            <fail-widgets>
                                <container style="left">
                                    <decorator-section-include name="left-column" />
                                </container>
                                <container id="content-main-section" style="leftonly">
                                    <container style="no-clear" id="centerdiv">
                                        <decorator-section-include name="body" />
                                    </container>
                                </container>
                            </fail-widgets>
                        </section>
                        <container style="clear"></container>
                    </container>
                </container>
                <section>
                    <condition>
                        <if-empty field="parameters.ajaxUpdateEvent" />
                    </condition>
                    <widgets>
                       
                        <section name="Render-Footer">
                            <condition>
                                <if-empty field="applicationFooterTemplate" />
                            </condition>
                            <widgets>
                                <platform-specific>
                                    <html>
                                        <html-template location="${footerTemplateLocation}" />
                                    </html>
                                </platform-specific>
                            </widgets>
                            <fail-widgets>
                                <platform-specific>
                                    <html>
                                        <html-template location="${applicationFooterTemplate}" />
                                    </html>
                                </platform-specific>
                            </fail-widgets>
                        </section>
                    </widgets>
                </section>
            </widgets>
        </section>
    </screen>






<screen name="CustomDecorator">
        <section>
            <widgets>
                <section>
                    <actions>
                        <!-- <set field="layoutSettings.commonHeaderImageLinkUrl" from-field="layoutSettings.commonHeaderImageLinkUrl" default-value="main" global="true" />
                        <set field="iconsLocation" from-field="layoutSettings.VT_ICONS_LOC" default-value="/images/icons/famfamfam" global="true" />
                        <set field="headerTemplateLocation" from-field="layoutSettings.VT_HDR_TMPLT_LOC" /> -->
                       
                        <set field="footerTemplateLocation" from-field="layoutSettings.VT_FTR_TMPLT_LOC" />
                        <set field="appbarTemplateLocation" from-field="layoutSettings.VT_NAV_TMPLT_LOC" />
                         <!-- <set field="appbarOpenTemplateLocation" from-field="layoutSettings.VT_NAV_OPEN_TMPLT" />
                        <set field="appbarCloseTemplateLocation" from-field="layoutSettings.VT_NAV_CLOSE_TMPLT" />
                        <set field="messagesTemplateLocation" from-field="layoutSettings.VT_MSG_TMPLT_LOC" /> -->
                        <set field="layoutSettings.suppressTab" value="ofbizsetup"/>  
                        <set field="layoutSettings.styleSheets[+0]" value="/common/css/impersonate.css" global="true" />
                    </actions>
                    <widgets />
                </section>
                <section>
                    <condition>
                        <if-empty field="parameters.ajaxUpdateEvent" />
                    </condition>
                    <widgets>
                        
                        <!-- <platform-specific>
                            <html>
                                <html-template location="${headerTemplateLocation}" />
                            </html>
                        </platform-specific> -->
                        
                        <section name="Render-Main-Nav">
                            <condition>
                                <not>
                                    <if-empty field="appbarOpenTemplateLocation" />
                                </not>
                            </condition>
                            <widgets>
                                <platform-specific>
                                    <html>
                                        <html-template location="${appbarOpenTemplateLocation}" />
                                    </html>
                                </platform-specific>
                            </widgets>
                            <fail-widgets>
                                <platform-specific>
                                    <html>
                                        <html-template location="${appbarTemplateLocation}" />
                                    </html>
                                </platform-specific>
                            </fail-widgets>
                        </section>
                    </widgets>
                </section>

                <section>
                    <condition>
                        <if-empty field="parameters.ajaxUpdateEvent" />
                    </condition>
                    <widgets>
                        
                        <section name="Render-App-Nav">
                            <condition>
                                <not>
                                    <if-empty field="userLogin" />
                                </not>
                            </condition>
                            <widgets>
                                <section>
                                    <!-- <condition>
                                        <not>
                                            <if-empty field="appheaderTemplate" />
                                        </not>
                                    </condition> -->
                                    <!-- <widgets>
                                        <platform-specific>
                                            <html>
                                                <html-template location="${appheaderTemplate}" />
                                            </html>
                                        </platform-specific>
                                    </widgets> -->
                                    <!-- <fail-widgets>
                                        <section>
                                            <condition>
                                                <not>
                                                    <if-empty field="parameters.applicationTitle" />
                                                </not>
                                            </condition>
                                            <widgets>
                                                <label style="apptitle">${parameters.applicationTitle}</label>
                                            </widgets>
                                        </section>
                                        <section>
                                            <condition>
                                                <not>
                                                    <if-empty field="applicationMenuLocation" />
                                                </not>
                                            </condition>
                                            <widgets>
                                                <include-menu name="${applicationMenuName}" location="${applicationMenuLocation}" />
                                            </widgets>
                                        </section>
                                    </fail-widgets> -->
                                </section>
                            </widgets>
                            <!-- <fail-widgets>
                                
                            </fail-widgets> -->
                        </section>
                    </widgets>
                </section>
                
                <!-- <section>
                    <condition>
                        <and>
                            <if-empty field="parameters.ajaxUpdateEvent" />
                            <not>
                                <if-empty field="appbarCloseTemplateLocation" />
                            </not>
                        </and>
                    </condition>
                    <widgets>
                        <platform-specific>
                            <html>
                                <html-template location="${appbarCloseTemplateLocation}" />
                            </html>
                        </platform-specific>
                    </widgets>
                </section> -->
                
                 
                <!-- <section>
                    <condition>
                        
                            <not>
                                <if-empty field="SidebarTemplateLocation" />
                            </not>
                        
                    </condition>
                    <widgets>
                        <platform-specific>
                            <html>
                                <html-template location="${SidebarTemplateLocation}" />
                            </html>
                        </platform-specific>
                    </widgets>
                </section> -->
                


                
                
                <!-- <platform-specific>
                    <html>
                        <html-template location="${messagesTemplateLocation}" />
                    </html>
                </platform-specific> -->
                
                <container style="contentarea">
                    <decorator-section-include name="pre-body" />
                    <container id="column-container">
                        <section>
                            <condition>
                                <if-empty-section section-name="left-column" />
                            </condition>
                            <widgets>
                                <container id="content-main-section">
                                    <decorator-section-include name="body" />
                                </container>
                            </widgets>
                            <fail-widgets>
                                <container style="left">
                                    <decorator-section-include name="left-column" />
                                </container>
                                <container id="content-main-section" style="leftonly">
                                    <container style="no-clear" id="centerdiv">
                                        <decorator-section-include name="body" />
                                    </container>
                                </container>
                            </fail-widgets>
                        </section>
                        <container style="clear"></container>
                    </container>
                </container>
                <section>
                    <!-- <condition>
                        <if-empty field="parameters.ajaxUpdateEvent" />
                    </condition> -->
                    <widgets>
                       
                        <!-- <section name="Render-Footer">
                            <condition>
                                <if-empty field="applicationFooterTemplate" />
                            </condition>
                            <widgets>
                                <platform-specific>
                                    <html>
                                        <html-template location="${footerTemplateLocation}" />
                                    </html>
                                </platform-specific>
                            </widgets>
                            <fail-widgets>
                                <platform-specific>
                                    <html>
                                        <html-template location="${applicationFooterTemplate}" />
                                    </html>
                                </platform-specific>
                            </fail-widgets>
                        </section> -->
                    </widgets>
                </section>
            </widgets>
        </section>
    </screen>




    <!-- <screen name="GlobalActions">
        <section>
            <actions>
                <set field="layoutSettings.javaScripts[+0]" value="${groovy: org.apache.ofbiz.common.JsLanguageFilesMapping.datejs.getFilePath(initialLocaleComplete)}" global="true" />
                <set field="layoutSettings.javaScripts[+0]" value="${groovy: org.apache.ofbiz.common.JsLanguageFilesMapping.jquery.getFilePath(initialLocaleComplete)}" global="true" />
                <set field="layoutSettings.javaScripts[+0]" value="${groovy: org.apache.ofbiz.common.JsLanguageFilesMapping.validation.getFilePath(initialLocaleComplete)}" global="true" />
                <set field="layoutSettings.javaScripts[+0]" value="${groovy: org.apache.ofbiz.common.JsLanguageFilesMapping.dateTime.getFilePath(initialLocaleComplete)}" global="true" />
                <set field="layoutSettings.javaScripts[+0]" value="${groovy: org.apache.ofbiz.common.JsLanguageFilesMapping.select2.getFilePath(initialLocaleComplete)}" global="true" />
                
                <set field="layoutSettings.javaScripts[]" value="/common/js/jquery/plugins/Readmore.js-master/readmore.js" global="true"/>
                <set field="layoutSettings.javaScripts[]" value="/common/js/jquery/plugins/jquery-jgrowl/jquery.jgrowl-1.4.6.min.js" global="true"/>
                <set field="layoutSettings.styleSheets[+0]" value="/common/js/jquery/plugins/jquery-jgrowl/jquery.jgrowl-1.4.6.min.css" global="true" />
                
                <set field="layoutSettings.javaScripts[+0]" value="/common/js/util/setUserTimeZone.js"/>
                <set field="layoutSettings.javaScripts[+0]" value="/common/js/plugins/moment-timezone/moment-timezone-with-data.min.js" global="true"/>
                <set field="layoutSettings.javaScripts[+0]" value="/common/js/plugins/moment-timezone/moment-with-locales.min.js" global="true"/>
            </actions>
            <widgets />
        </section>
    </screen> -->
 
    
    </screens>